Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class StaticImportVisitor

Visitor to resolve constants and method calls from static Imports

author:
  Jochen Theodorou

author:
  Paul King

Field Summary
`CompilationUnit` | `compilationUnit`
`ClassNode` | `currentClass`
`MethodNode` | `currentMethod`
`Expression` | `foundArgs`
`Expression` | `foundConstant`
`boolean` | `inClosure`
`boolean` | `inPropertyExpression`
`boolean` | `inSpecialConstructorCall`
`SourceUnit` | `source`
`boolean` | `stillResolving`

Constructor Summary
`StaticImportVisitor(CompilationUnit cu)`

Method Summary
`void` | `addStaticVariableError(VariableExpression ve)`
`void` | `checkStaticScope(PropertyExpression pe)`
`Expression` | `findStaticField(ClassNode staticImportType, String fieldName)`
`Expression` | `findStaticFieldImportFromModule(String name)`
`Expression` | `findStaticMethod(ClassNode staticImportType, String methodName, Expression args)`
`Expression` | `findStaticMethodImportFromModule(Expression method, Expression args)`
`SourceUnit` | `getSourceUnit()`
`Expression` | `transform(Expression exp)`
`Expression` | `transformClosureExpression(ClosureExpression ce)`
`Expression` | `transformConstructorCallExpression(ConstructorCallExpression cce)`
`Expression` | `transformMethodCallExpression(MethodCallExpression mce)`
`Expression` | `transformPropertyExpression(PropertyExpression pe)`
`Expression` | `transformVariableExpression(VariableExpression ve)`
`void` | `visitClass(ClassNode node, SourceUnit source)`
`void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`

Constructor Detail

### StaticImportVisitor

    public StaticImportVisitor(CompilationUnit cu)

Method Detail

### addStaticVariableError

    void addStaticVariableError(VariableExpression ve)

### checkStaticScope

    void checkStaticScope(PropertyExpression pe)

### findStaticField

    Expression findStaticField(ClassNode staticImportType, String fieldName)

### findStaticFieldImportFromModule

    Expression findStaticFieldImportFromModule(String name)

### findStaticMethod

    Expression findStaticMethod(ClassNode staticImportType, String methodName, Expression args)

### findStaticMethodImportFromModule

    Expression findStaticMethodImportFromModule(Expression method, Expression args)

### getSourceUnit

    SourceUnit getSourceUnit()

### transform

    public Expression transform(Expression exp)

### transformClosureExpression

    Expression transformClosureExpression(ClosureExpression ce)

### transformConstructorCallExpression

    Expression transformConstructorCallExpression(ConstructorCallExpression cce)

### transformMethodCallExpression

    Expression transformMethodCallExpression(MethodCallExpression mce)

### transformPropertyExpression

    Expression transformPropertyExpression(PropertyExpression pe)

### transformVariableExpression

    Expression transformVariableExpression(VariableExpression ve)

### visitClass

    public void visitClass(ClassNode node, SourceUnit source)

### visitConstructorOrMethod

    void visitConstructorOrMethod(MethodNode node, boolean isConstructor)